Module
Contents
Index 🔎︎
\<bookmark_value\>Mid function\</bookmark_value\>\<bookmark_value\>Mid statement\</bookmark_value\>

# Mid Function, Mid Statement

Returns the specified portion of a string expression (\<emph\>Mid function\</emph\>), or replaces the portion of a string expression with another string (\<emph\>Mid statement\</emph\>).

## Syntax:

    Mid (Text As String, Start As Long [, Length As Long]) or Mid (Text As String, Start As Long , Length As Long, Text As String)

## Return value:

String (only by Function)

## Parameters:

\<emph\>Text:\</emph\> Any string expression that you want to modify.

\<emph\>Start: \</emph\>Numeric expression that indicates the character position within the string where the string portion that you want to replace or to return begins. The maximum allowed value is 65535.

\<emph\>Length:\</emph\> Numeric expression that returns the number of characters that you want to replace or return. The maximum allowed value is 65535.

If the Length parameter in the \<emph\>Mid function\</emph\> is omitted, all characters in the string expression from the start position to the end of the string are returned.

If the Length parameter in the \<emph\>Mid statement\</emph\> is less than the length of the text that you want to replace, the text is reduced to the specified length.

\<emph\>Text:\</emph\> The string to replace the string expression (\<emph\>Mid statement\</emph\>).

## Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleUSDate

    Dim sInput As String

    Dim sUS_date As String

        sInput = InputBox("Please input a date in the international format 'YYYY-MM-DD'")

        sUS_date = Mid(sInput, 6, 2)

        sUS_date = sUS_date & "/"

        sUS_date = sUS_date & Right(sInput, 2)

        sUS_date = sUS_date & "/"

        sUS_date = sUS_date & Left(sInput, 4)

        MsgBox sUS_date

    End Sub